.net 4 full or .net 4 client?

Jun 28, 2016 at 11:40 AM
Hi,

I post a question on http://stackoverflow.com/questions/38069189/system-design-reference-issue-of-wixsharp-on-net-4#.
Basically WixSharp project will not compile on .net client : system.design can't be referenced so whole wixssharp can't be resolved.
But strangely it compiles on .net full (not client profile). So I'd like to make sure that the minimum system requirement of WixShart is .net 4 (full profile)?

Thanks
Jun 29, 2016 at 2:47 AM
Thank you for reporting this.

I see very little value in ensuring Wix# can be embedded into msi for running on .NET configuration that has been officially discontinued by MS. However the system.design.dll dependency is wrong (leftovers of long time ago refactoring) and needs to be removed.

The problem is fixed in codebase and the fix will be available in the next release (a few days away).